MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Mutex Class Reference

`#include <Mutex.hxx>`

Inheritance diagram for Mutex:
[legend]
Collaboration diagram for Mutex:
[legend]

## Additional Inherited Members
Public Member Functions inherited from PosixMutex
| PosixMutex ()
| ~PosixMutex ()
| PosixMutex (const PosixMutex &other)=delete
PosixMutex & | operator= (const PosixMutex &other)=delete
void | lock ()
bool | try_lock ()
void | unlock ()

## Detailed Description

Definition at line 43 of file Mutex.hxx.

The documentation for this class was generated from the following file:

- thread/Mutex.hxx